public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: add the systemd-timesyncd test to upstream repository
Date: Fri, 11 Sep 2026 13:18:11 GMT	[thread overview]
Message-ID: <178913269154.1.14927596742935659165.tests-selinux-ca5589859c13@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : ca5589859c132bab2d27f47c91113af5149074d6
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2020-09-10T13:08:00+00:00
            Stats  : +204/-0 in 4 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/ca5589859c132bab2d27f47c91113af5149074d6?branch=pr775-checkpolicy-revdeps

            Log:
            add the systemd-timesyncd test to upstream repository

The systemd-timesyncd service is available in various Fedoras
and RHELs, that's why it makes sense to run the TC in upstream
testing too.

There are no changes in the TC functionality, only moving the
downstream TC to the upstream repo.

---
diff --git a/selinux-policy/systemd-timesyncd-and-similar/Makefile b/selinux-policy/systemd-timesyncd-and-similar/Makefile
new file mode 100644
index 0000000..abe7ae7
--- /dev/null
+++ b/selinux-policy/systemd-timesyncd-and-similar/Makefile
@@ -0,0 +1,77 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Makefile of /CoreOS/selinux-policy/Regression/systemd-timesyncd-and-similar
+#   Description: SELinux interferes with systemd-timesyncd and related programs
+#   Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2020 Red Hat, Inc. All rights reserved.
+#
+#   This copyrighted material is made available to anyone wishing
+#   to use, modify, copy, or redistribute it subject to the terms
+#   and conditions of the GNU General Public License version 2.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE. See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public
+#   License along with this program; if not, write to the Free
+#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+#   Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Regression/systemd-timesyncd-and-similar
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+	./runtest.sh
+
+build: $(BUILT_FILES)
+	chmod a+x runtest.sh
+	chcon -t bin_t runtest.sh
+
+clean:
+	rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+	@echo "Owner:           Milos Malik <mmalik@redhat.com>" > $(METADATA)
+	@echo "Name:            $(TEST)" >> $(METADATA)
+	@echo "TestVersion:     $(TESTVERSION)" >> $(METADATA)
+	@echo "Path:            $(TEST_DIR)" >> $(METADATA)
+	@echo "Description:     SELinux interferes with systemd-timesyncd and related programs" >> $(METADATA)
+	@echo "Type:            Regression" >> $(METADATA)
+	@echo "TestTime:        10m" >> $(METADATA)
+	@echo "RunFor:          selinux-policy" >> $(METADATA)
+	@echo "RunFor:          systemd" >> $(METADATA)
+	@echo "Requires:        audit libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted setools-console systemd-udev initscripts" >> $(METADATA)
+	@echo "Requires:        systemd-timesyncd" >> $(METADATA) # EPEL
+	@echo "RhtsRequires:    library(selinux-policy/common)" >> $(METADATA)
+	@echo "Environment:     AVC_ERROR=+no_avc_check" >> $(METADATA)
+	@echo "Priority:        Normal" >> $(METADATA)
+	@echo "License:         GPLv2" >> $(METADATA)
+	@echo "Confidential:    no" >> $(METADATA)
+	@echo "Destructive:     no" >> $(METADATA)
+	@echo "Releases:        -RHEL4 -RHEL5 -RHEL6 -RHEL7" >> $(METADATA)
+	@echo "Bug:             1640801" >> $(METADATA) # Fedora 29
+	@echo "Bug:             1649257" >> $(METADATA) # Fedora 29
+	@echo "Bug:             1649668" >> $(METADATA) # Fedora 29
+	@echo "Bug:             1649671" >> $(METADATA) # Fedora 29
+	@echo "Bug:             1653050" >> $(METADATA) # Fedora 29
+	@echo "Bug:             1666222" >> $(METADATA) # Fedora 29
+	@echo "Bug:             1694272" >> $(METADATA) # Fedora 29
+	@echo "Bug:             1822131" >> $(METADATA) # Fedora 32
+
+	rhts-lint $(METADATA)
+

diff --git a/selinux-policy/systemd-timesyncd-and-similar/PURPOSE b/selinux-policy/systemd-timesyncd-and-similar/PURPOSE
new file mode 100644
index 0000000..065e7c2
--- /dev/null
+++ b/selinux-policy/systemd-timesyncd-and-similar/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/selinux-policy/Regression/systemd-timesyncd-and-similar
+Author: Milos Malik <mmalik@redhat.com>
+
+SELinux interferes with systemd-timesyncd and related programs.
+

diff --git a/selinux-policy/systemd-timesyncd-and-similar/main.fmf b/selinux-policy/systemd-timesyncd-and-similar/main.fmf
new file mode 100644
index 0000000..16bf981
--- /dev/null
+++ b/selinux-policy/systemd-timesyncd-and-similar/main.fmf
@@ -0,0 +1,2 @@
+path: /selinux-policy/systemd-timesyncd-and-similar
+tier: 2

diff --git a/selinux-policy/systemd-timesyncd-and-similar/runtest.sh b/selinux-policy/systemd-timesyncd-and-similar/runtest.sh
new file mode 100755
index 0000000..c4e4251
--- /dev/null
+++ b/selinux-policy/systemd-timesyncd-and-similar/runtest.sh
@@ -0,0 +1,120 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   runtest.sh of /CoreOS/selinux-policy/Regression/systemd-timesyncd-and-similar
+#   Description: SELinux interferes with systemd-timesyncd and related programs
+#   Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2020 Red Hat, Inc. All rights reserved.
+#
+#   This copyrighted material is made available to anyone wishing
+#   to use, modify, copy, or redistribute it subject to the terms
+#   and conditions of the GNU General Public License version 2.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE. See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public
+#   License along with this program; if not, write to the Free
+#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+#   Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/bin/rhts-environment.sh || exit 1
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="selinux-policy"
+ROOT_PASSWORD="redhat"
+FILE_PATH="/usr/lib/systemd/systemd-timesyncd"
+FILE_CONTEXT="systemd_timedated_exec_t"
+SERVICE_PACKAGE="systemd-udev"
+SERVICE_NAME="systemd-timesyncd"
+PROCESS_NAME="systemd-timesyncd"
+PROCESS_CONTEXT="systemd_timedated_t"
+
+rlJournalStart
+    rlPhaseStartSetup
+        rlRun "rlImport 'selinux-policy/common'"
+        rlSESatisfyRequires
+        rlAssertRpm ${PACKAGE}
+        rlAssertRpm ${PACKAGE}-targeted
+        rlAssertRpm ${SERVICE_PACKAGE}
+
+        rlServiceStop ${SERVICE_NAME}
+        rlFileBackup /etc/shadow
+
+        rlSESetEnforce
+        rlSEStatus
+        rlSESetTimestamp
+        sleep 2
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1640801"
+        rlSEMatchPathCon "/usr/lib/systemd/systemd-timesyncd" "systemd_timedated_exec_t"
+        rlSEMatchPathCon "/run/dbus/system_bus_socket" "system_dbusd_var_run_t"
+        rlSESearchRule "allow systemd_timedated_t system_dbusd_var_run_t : sock_file { read } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1649668 + bz#1653050"
+        rlSEMatchPathCon "/usr/lib/systemd/systemd-timesyncd" "systemd_timedated_exec_t"
+        rlSEMatchPathCon "/run/systemd/netif/links" "systemd_networkd_var_run_t"
+        rlSEMatchPathCon "/run/systemd/netif/state" "systemd_networkd_var_run_t"
+        rlSESearchRule "allow systemd_timedated_t systemd_networkd_var_run_t : dir { read } [ ]"
+        rlSESearchRule "allow systemd_timedated_t systemd_networkd_var_run_t : file { getattr open read } [ ]"
+    rlPhaseEnd
+
+    if rlIsFedora ; then
+    rlPhaseStartTest "bz#1649671"
+        rlSEMatchPathCon "/run/systemd/timesync" "init_var_run_t"
+        rlSEMatchPathCon "/run/systemd/timesync/synchronized" "init_var_run_t"
+        rlSESearchRule "allow systemd_timedated_t init_var_run_t : dir { write add_name } [ ]"
+        rlSESearchRule "allow systemd_timedated_t init_var_run_t : file { create write open } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1694272"
+        rlRun "ls -Z /proc/net/unix | grep :proc_net_t"
+        rlSESearchRule "allow systemd_timedated_t proc_net_t : dir { getattr open search } [ ]"
+        rlSESearchRule "allow systemd_timedated_t proc_net_t : file { getattr open read } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1822131"
+        rlSEMatchPathCon "/usr/lib/systemd/systemd-timesyncd" "systemd_timedated_exec_t"
+        rlSEMatchPathCon "/run/systemd/timesync" "systemd_timedated_var_run_t"
+        rlSEMatchPathCon "/run/systemd/timesync/synchronized" "systemd_timedated_var_run_t"
+        rlSESearchRule "allow systemd_timedated_t systemd_timedated_var_run_t : file { getattr write } [ ]"
+    rlPhaseEnd
+    fi
+
+    rlPhaseStartTest "bz#1649257 + bz#1666222"
+        rlSESearchRule "allow init_t systemd_timedated_t : process { transition } [ ]"
+        rlSESearchRule "type_transition init_t systemd_timedated_exec_t : process systemd_timedated_t"
+        rlSESearchRule "allow init_t systemd_timedated_t : process2 { nnp_transition } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "real scenario -- standalone service"
+        rlRun "echo ${ROOT_PASSWORD} | passwd --stdin root"
+        if ! rlSEDefined ${PROCESS_CONTEXT} ; then
+            PROCESS_CONTEXT="unconfined_service_t"
+        fi
+        rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "start status" 1
+        rlRun "restorecon -Rv /run /var" 0-255
+        rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "restart status stop status" 1
+    rlPhaseEnd
+
+    rlPhaseStartCleanup
+        sleep 2
+        rlSECheckAVC
+
+        rlFileRestore
+        rlServiceRestore ${SERVICE_NAME}
+    rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+

                 reply	other threads:[~2026-09-11 13:18 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913269154.1.14927596742935659165.tests-selinux-ca5589859c13@fedoraproject.org \
    --to=mmalik@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox